searchData={"items":[{"type":"module","title":"EctoTsvector","doc":"Add vector search with Ecto to your existing Postgres database.","ref":"EctoTsvector.html"},{"type":"module","title":"EctoTsvector.Dictionary","doc":"Helper module for Postgres supported language dictionaries.","ref":"EctoTsvector.Dictionary.html"},{"type":"function","title":"EctoTsvector.Dictionary.generic/0","doc":"Returns the generic language dictionary for Postgres: `\"simple\"`.","ref":"EctoTsvector.Dictionary.html#generic/0"},{"type":"function","title":"EctoTsvector.Dictionary.language_code_to_postgres/1","doc":"Maps a two character language code to the corresponding language dictionary in Postgres,\nreturns the generic dictionary if the language code is not recognized.\n\nOmits language localizations, i.e. `\"en-US\"` is treated identically to `\"en\"`.","ref":"EctoTsvector.Dictionary.html#language_code_to_postgres/1"},{"type":"function","title":"EctoTsvector.Dictionary.language_code_to_postgres!/1","doc":"Maps a two character language code to the corresponding language dictionary in Postgres,\nraises if the language code is not recognized.\n\nOmits language localizations, i.e. `\"en-US\"` is treated identically to `\"en\"`.","ref":"EctoTsvector.Dictionary.html#language_code_to_postgres!/1"},{"type":"module","title":"EctoTsvector.Migration","doc":"Add tsvector fields in Ecto migrations.","ref":"EctoTsvector.Migration.html"},{"type":"macro","title":"EctoTsvector.Migration.add_tsvector_search/3","doc":"Adds a column of type `:regconfig` to a table containing the search language for a\nparticular record, along with a tsvector column that targets a pre-existing field that is\ncompatible with tsvector (the `field` argument). Creates a `gin` index on the vector and\nlanguage fields for efficient search.","ref":"EctoTsvector.Migration.html#add_tsvector_search/3"},{"type":"macro","title":"Options - EctoTsvector.Migration.add_tsvector_search/3","doc":"* `:vector_field` - Name of the tsvector column, defaults to `:search_vector`.\n    * `:language_field` - Name of the regconfig language column, defaults to `:search_language`.\n    * `:default_language` - The default dictionary to replace null values, defaults to `\"simple\"`.","ref":"EctoTsvector.Migration.html#add_tsvector_search/3-options"},{"type":"macro","title":"Examples - EctoTsvector.Migration.add_tsvector_search/3","doc":"defmodule MyApp.Repo.Migrations.AlterMessagesAddTsvectorSearch do\n      use Ecto.Migration\n\n      import EctoTsvector.Migration\n\n      def change do\n        add_tsvector_search(:messages, :text, default_language: \"english\")\n      end\n    end","ref":"EctoTsvector.Migration.html#add_tsvector_search/3-examples"},{"type":"module","title":"EctoTsvector.Query","doc":"","ref":"EctoTsvector.Query.html"},{"type":"function","title":"EctoTsvector.Query.tsvector_search_query/3","doc":"Applies a tsvector search to a query, using the primary schema of the query.","ref":"EctoTsvector.Query.html#tsvector_search_query/3"},{"type":"function","title":"Options - EctoTsvector.Query.tsvector_search_query/3","doc":"* `:vector_field` - Set the field name to use for the search vector, defaults to `:search_vector`.\n    * `:language_field` - Set the field name to use for the search language, defaults to `:search_language`.","ref":"EctoTsvector.Query.html#tsvector_search_query/3-options"},{"type":"function","title":"Examples - EctoTsvector.Query.tsvector_search_query/3","doc":"def search_workspace_messages(workspace, search_term) do\n      Message\n      |> where([m], m.workspace_id == ^workspace.id)\n      |> EctoTsvector.Query.tsvector_search_query(search_term)\n      |> limit(10)\n      |> Repo.all()\n    end","ref":"EctoTsvector.Query.html#tsvector_search_query/3-examples"},{"type":"module","title":"EctoTsvector.Query.Fragment","doc":"","ref":"EctoTsvector.Query.Fragment.html"},{"type":"macro","title":"EctoTsvector.Query.Fragment.query_fragment/3","doc":"","ref":"EctoTsvector.Query.Fragment.html#query_fragment/3"},{"type":"macro","title":"EctoTsvector.Query.Fragment.ts_rank_cd_fragment/3","doc":"","ref":"EctoTsvector.Query.Fragment.html#ts_rank_cd_fragment/3"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}